# Cartridge DE_EPAGES::AmazonPayments

## PURPOSE
Integration of payment method [Amazon Payments](https://epages.atlassian.net/wiki/display/RND/Amazon+Payments) 

##CONCEPTS

###Custom attributes

###LineItemPaymentExternal

  - **AuthCode** stores the Authorization ID of an order.
  - The attribute **TransID** stores the Order Reference ID of an order.
  - The attribute **TransID2** stores the Capture Reference ID of an order.

## Amazon Pay - Strong Customer Authentication (SCA)

### Sequence Diagram - MFA required (Success) and MFA not required

![MFA required Success and MFA not required](Documents/amazonpay-sca-mfa-success.svg)

Code for the diagram (you can generate it [here](https://mermaidjs.github.io/mermaid-live-editor)):
[Documents/amazonpay-sca-mfa-success.txt](Documents/amazonpay-sca-mfa-success.txt)