#========================================================================================
# package      DE_EPAGES::PriceList::API::CSV::PriceListSimpleExportDriver;
# base         DE_EPAGES::ShopCSVExportImport::API::CSV::ShopObjectExportDriver
# state        public
#----------------------------------------------------------------------------------------
# description  This module implements a handler to export shop PriceLists via csv
#               This is a simplified version of the base exporter that uses a fixed pricelist
#               and has only a subset of the columns.
# example      use DE_EPAGES::PriceList::API::CSV::PriceListSimpleExportDriver;
#               DE_EPAGES::PriceList::API::CSV::PriceListSimpleExportDriver->exportCSV($FileName, $hFileFormat, $aColumns, $Shop );
#========================================================================================
package DE_EPAGES::PriceList::API::CSV::PriceListSimpleExportDriver;
use base qw( DE_EPAGES::PriceList::API::CSV::PriceListExportDriver );

use strict;

1;
