package DE_EPAGES::PriceList::UI::CSVExportImportPriceListSimple;
use base qw( DE_EPAGES::ShopCSVExportImport::UI::CSVExportImport );

use strict;
use DE_EPAGES::PriceList::API::CSV::PriceListSimpleExportImport;

#==============================================================================
# Helper methods
#==============================================================================

sub createDriver {
    return 'DE_EPAGES::PriceList::API::CSV::PriceListSimpleExportImport';
}

sub type {
    return 'PriceListSimple';
}

#==============================================================================
# Event handlers
#==============================================================================
sub CSVExportImportPriceListSimple {
    my $self    = shift;
    my ($Servlet) = @_;

    my @ObjectIDs = $Servlet->form->value('SelectedObjects');
    $Servlet->vars( 'CountSelectedObjects', scalar @ObjectIDs);

    $self->SUPER::CSVExportImport( $Servlet );

    return;
}

sub CSVImport {
    my $self    = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;

    $self->SUPER::CSVImport( $Servlet );

    $Shop->updatePageCache;
    return;
}

1;
