#==============================================================================
# package      DE_EPAGES::GoogleAdWords::API::Constants
# state        public
# description  Constants of cartridge GoogleAdWords
#==============================================================================
package DE_EPAGES::GoogleAdWords::API::Constants;
use base Exporter;

use strict;
our @EXPORT_OK = qw (
   GOOGLE_AD_WORDS_SCRIPT_URL_QUERY
   CLEVER_GOOGLE_ADS_DOMAIN
);

#========================================================================================
# global       GOOGLE_AD_WORDS_SCRIPT_URL_QUERY | URL query for the Google AdWords
#                   script | string
#========================================================================================
use constant GOOGLE_AD_WORDS_SCRIPT_URL_QUERY    => '?ViewAction=UnitySF-ViewGoogleAdWordsScript';
use constant CLEVER_GOOGLE_ADS_DOMAIN            => 'epages.cleverecommerce.com';

1;
